Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class ShadowedSymbolTable

    java.lang.Object
      weblogic.apache.xerces.util.SymbolTable
          weblogic.apache.xerces.util.ShadowedSymbolTable

Deprecated. please use JDK supplied XML parsers and transformers

public final class ShadowedSymbolTable
extends SymbolTable

Shadowed symbol table. The table has a reference to the main symbol table and is not allowed to add new symbols to the main symbol table. New symbols are added to the shadow symbol table and are local to the component using this table.

Nested Class Summary

Nested classes inherited from class weblogic.apache.xerces.util.SymbolTable
`SymbolTable.Entry`

Field Summary
`protected SymbolTable` | `fSymbolTable` Deprecated. Main symbol table.

Fields inherited from class weblogic.apache.xerces.util.SymbolTable
`fBuckets, fTableSize, TABLE_SIZE`

Constructor Summary
`ShadowedSymbolTable(SymbolTable symbolTable)` Deprecated. Constructs a shadow of the specified symbol table.

Method Summary
`String` | `addSymbol(char[] buffer, int offset, int length)` Deprecated. Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`String` | `addSymbol(String symbol)` Deprecated. Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`int` | `hash(char[] buffer, int offset, int length)` Deprecated. Returns a hashcode value for the specified symbol information.
`int` | `hash(String symbol)` Deprecated. Returns a hashcode value for the specified symbol.

Methods inherited from class weblogic.apache.xerces.util.SymbolTable
`containsSymbol, containsSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Main symbol table.

Constructor Detail

### ShadowedSymbolTable

    public ShadowedSymbolTable(SymbolTable symbolTable)

  Deprecated.
  Constructs a shadow of the specified symbol table.

Method Detail

### addSymbol

    public String addSymbol(char[] buffer,
                            int offset,
                            int length)

  Deprecated.
  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `buffer` - The buffer containing the new symbol.
    `offset` - The offset into the buffer of the new symbol.
    `length` - The length of the new symbol in the buffer.

### addSymbol

    public String addSymbol(String symbol)

  Deprecated.
  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `symbol` - The new symbol.

### hash

    public int hash(char[] buffer,
                    int offset,
                    int length)

  Deprecated.
  Returns a hashcode value for the specified symbol information. The value returned by this method must be identical to the value returned by the `hash(String)` method when called with the string object created from the symbol information.

  Overrides:
    `hash` in class `SymbolTable`
  Parameters:
    `buffer` - The character buffer containing the symbol.
    `offset` - The offset into the character buffer of the start of the symbol.
    `length` - The length of the symbol.

### hash

    public int hash(String symbol)

  Deprecated.
  Returns a hashcode value for the specified symbol. The value returned by this method must be identical to the value returned by the `hash(char[],int,int)` method when called with the character array that comprises the symbol string.

  Overrides:
    `hash` in class `SymbolTable`
  Parameters:
    `symbol` - The symbol to hash.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD